
From: Adrian Bunk <bunk@stusta.de>

pm_send is deprecated and has no user except for the deprecated 
pm_send_all in the same file.

Let's make pm_send static before someone might use it again.

This patch was already ACK'ed by Pavel Machek.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/pm.txt |   17 -----------------
 25-akpm/include/linux/pm.h   |   10 ----------
 25-akpm/kernel/power/pm.c    |    2 +-
 3 files changed, 1 insertion(+), 28 deletions(-)

diff -puN Documentation/pm.txt~kernel-power-pmc-make-pm_send-static Documentation/pm.txt
--- 25/Documentation/pm.txt~kernel-power-pmc-make-pm_send-static	2005-03-02 17:52:49.000000000 -0800
+++ 25-akpm/Documentation/pm.txt	2005-03-02 17:52:49.000000000 -0800
@@ -222,23 +222,6 @@ communicate with drivers through the exi
 management interface.
 
 /*
- * Send a request to a single device
- *
- * Parameters:
- *   dev - PM device previously returned from pm_register or pm_find
- *   rqst - request type
- *   data - data, if any, associated with the request
- *
- * Returns: 0 if the request is successful
- *          See "pm_callback" return for errors
- *
- * Details: Forward request to device callback and, if a suspend
- *          or resume request, update the pm_dev "state" field
- *          appropriately
- */
-int pm_send(struct pm_dev *dev, pm_request_t rqst, void *data);
-
-/*
  * Send a request to all devices
  *
  * Parameters:
diff -puN include/linux/pm.h~kernel-power-pmc-make-pm_send-static include/linux/pm.h
--- 25/include/linux/pm.h~kernel-power-pmc-make-pm_send-static	2005-03-02 17:52:49.000000000 -0800
+++ 25-akpm/include/linux/pm.h	2005-03-02 17:52:49.000000000 -0800
@@ -116,11 +116,6 @@ void __deprecated pm_unregister(struct p
 void __deprecated pm_unregister_all(pm_callback callback);
 
 /*
- * Send a request to a single device
- */
-int __deprecated pm_send(struct pm_dev *dev, pm_request_t rqst, void *data);
-
-/*
  * Send a request to all devices
  */
 int __deprecated pm_send_all(pm_request_t rqst, void *data);
@@ -140,11 +135,6 @@ static inline void pm_unregister(struct 
 
 static inline void pm_unregister_all(pm_callback callback) {}
 
-static inline int pm_send(struct pm_dev *dev, pm_request_t rqst, void *data)
-{
-	return 0;
-}
-
 static inline int pm_send_all(pm_request_t rqst, void *data)
 {
 	return 0;
diff -puN kernel/power/pm.c~kernel-power-pmc-make-pm_send-static kernel/power/pm.c
--- 25/kernel/power/pm.c~kernel-power-pmc-make-pm_send-static	2005-03-02 17:52:49.000000000 -0800
+++ 25-akpm/kernel/power/pm.c	2005-03-02 17:52:49.000000000 -0800
@@ -151,7 +151,7 @@ void pm_unregister_all(pm_callback callb
  *	execution and unload yourself.
  */
  
-int pm_send(struct pm_dev *dev, pm_request_t rqst, void *data)
+static int pm_send(struct pm_dev *dev, pm_request_t rqst, void *data)
 {
 	int status = 0;
 	unsigned long prev_state, next_state;
_
